Child Address Update
curl --request PATCH \
--url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/auto-settlements \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"isActive": true
}
'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/auto-settlements"
payload = { "isActive": True }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({isActive: true})
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/auto-settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"isActive": true,
"rules": [
{
"createdAt": "2025-08-26T17:28:38.273Z",
"destination": {
"address": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",
"asset": "USDC",
"blockchain": "optimism"
},
"id": "48c52f4a-c0bf-45c9-a322-1fef00f00431",
"isActive": true,
"name": "Swap from USDT to OP USDC",
"order": "FASTEST",
"slippageTolerance": "5",
"source": {
"assets": [
"USDT"
],
"blockchain": "base",
"maxAmount": "1000",
"minAmount": "1"
},
"updatedAt": "2025-08-26T17:32:08.108Z"
}
]
},
"message": "Auto settlement updated successfully",
"statusCode": 200
}Child Address Update
This endpoint allows you to update the auto-settlement settings for a specific address. The primary purpose of this request is to enable or disable the auto-settlement feature for the address.
Request Body
The request body must be in JSON format and can include the following parameter:
| Parameter | Type | Required | Description |
|---|---|---|---|
| isActive | boolean | No | Indicates whether the auto-settlement feature should be activated (true) or deactivated (false). |
PATCH
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
auto-settlements
Child Address Update
Authorizations
Path Parameters
Example:
"{{walletId}}"
Example:
"534e0480-f444-40c0-bc2e-2ef17bf7999e"
Body
application/json
Example:
true
⌘I

